package com.ruoyi.ss.feeRule.mapper;

import java.util.List;

import com.ruoyi.ss.feeRule.domain.FeeRuleVO;
import com.ruoyi.ss.feeRule.domain.FeeRule;
import com.ruoyi.ss.feeRule.domain.FeeRuleQuery;
import org.apache.ibatis.annotations.Param;

/**
 * 收费模板Mapper接口
 *
 * @author qzz
 * @date 2024-11-20
 */
public interface FeeRuleMapper
{
    /**
     * 查询收费模板
     *
     * @param ruleId 收费模板主键
     * @return 收费模板
     */
    public FeeRuleVO selectEFeeRuleByRuleId(Long ruleId);

    /**
     * 查询收费模板列表
     *
     * @param query 收费模板
     * @return 收费模板集合
     */
    public List<FeeRuleVO> selectEFeeRuleList(@Param("query") FeeRuleQuery query);

    /**
     * 新增收费模板
     *
     * @param eFeeRule 收费模板
     * @return 结果
     */
    public int insertEFeeRule(FeeRule eFeeRule);

    /**
     * 修改收费模板
     *
     * @param eFeeRule 收费模板
     * @return 结果
     */
    public int updateEFeeRule(@Param("data") FeeRule eFeeRule);

    /**
     * 删除收费模板
     *
     * @param ruleId 收费模板主键
     * @return 结果
     */
    public int deleteEFeeRuleByRuleId(Long ruleId);

    /**
     * 批量删除收费模板
     *
     * @param ruleIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteEFeeRuleByRuleIds(Long[] ruleIds);

//    /**
//     * 根据房间id获取套餐
//     */
//    List<FeeRuleVO> selectEFeeRuleListByRoomId(Long roomId);

    /**
     * 校验小时模式唯一
     */
    int verifyHourlyUnique(Long roomId);

    /**
     * 根据套餐id解绑套餐
     */
    int unBandRuleById(Long ruleId);
}
